SuSEconfig(8)

NAME
SuSEconfig - Configure system from variables set in /etc/sysconfig/ files

SYNOPSIS
SuSEconfig [-verbose|-quick|-nonewpackage|-force|
            -norestarts|-nomodule|-module module]

DESCRIPTION
SuSEconfig configures the system according to the variables that are set in the various "/etc/sysconfig/" files. It uses the subsystem specific scripts in "/sbin/conf.d/" to configure the various subsystems. For example the variables in "/etc/sysconfig/postfix" are evaluated by the script "/sbin/conf.d/SuSEconfig.postfix". SuSEconfig acts as a backend for YaST2 and activates the configuration changes made by YaST2.

These options are available:

-verbose
    Show what is happening.

-quick
    Does not rebuild kernel module dependencies. Is also set by the -module option.

-nonewpackage
    Skips configuration modules that have to be run only when a package is newly installed.

-force
    Not used

-norestarts
    Not used

-nomodule
    Does not execute the subsystem specific modules.

-module modulename
    Runs SuSEconfig with the configuration module for a specific subsystem instead of running all modules.

NOTE
SuSEconfig must be run by the root user.

FILES
/sbin/conf.d/*, /etc/sysconfig/*

SEE ALSO

AUTHOR
Burchard Steinbild, Florian La Roche